Autore Topic: uses-permission required false  (Letto 634 volte)

Offline emaborsa

  • Utente normale
  • ***
  • Post: 274
  • Java Developer
  • Respect: +33
    • Google+
    • emaborsa
    • Mostra profilo
    • www.emaborsa.com
  • Dispositivo Android:
    Samsung Galaxy S2
  • Sistema operativo:
    Linux 10 - Win8.1 - Android 4.1.2
uses-permission required false
« il: 20 Novembre 2015, 22:02:37 CET »
0
Qualche anno fa ho sviluppato un'applicazione che utilizza le mappe V1. Questi giorni ho aggiornato alla V2 e tutto OK.

Il manifest:

Codice (XML): [Seleziona]
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

Sono al corrente che quest permission possono essere messe "facoltative" in modo da dare la compatibilità a più dispositivi, in questo caso:

Codice (XML): [Seleziona]
<uses-feature android:name="android.hardware.location" android:required="false"/>
<uses-feature android:name="android.hardware.location.network" android:required="false"/>
<uses-feature android:name="android.hardware.location.gps" android:required="false"/>

Così facendo, l'applicazione è installabile anche su dispositivi che non hanno il gps...

La mia domanda: Su questi dispositivi che non hanno il gps, si spacca?

Offline tonno16

  • Utente storico
  • *****
  • Post: 1197
  • Respect: +58
    • Mostra profilo
  • Dispositivo Android:
    moto g
  • Play Store ID:
    Diego Tonini
  • Sistema operativo:
    OpenSuse
Re:uses-permission required false
« Risposta #1 il: 21 Novembre 2015, 01:56:35 CET »
0
Ormai nel 2015 tutti hanno il GPS ;)

Offline emaborsa

  • Utente normale
  • ***
  • Post: 274
  • Java Developer
  • Respect: +33
    • Google+
    • emaborsa
    • Mostra profilo
    • www.emaborsa.com
  • Dispositivo Android:
    Samsung Galaxy S2
  • Sistema operativo:
    Linux 10 - Win8.1 - Android 4.1.2
Re:uses-permission required false
« Risposta #2 il: 21 Novembre 2015, 08:48:38 CET »
0
....non è la risposta che speravo di ricevere.
Caricando l'apk senza il require false, mi dice che 1093 dispositivi sono stati rimossi.